Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface Report

    org.gradle.api.reporting.Report
      org.gradle.util.Configurable

All Superinterfaces:
  Configurable

    public interface Report
    extends Configurable, Serializable

A file based report to be created.

Nested Class Summary
`enum` | `Report.OutputType` The type of output the report produces

Field Summary
`Namer` | `NAMER`

Method Summary
`File` | `getDestination()` The location on the filesystem of the report when it is generated.
`String` | `getName()` The symbolic name of this report.
`Report.OutputType` | `getOutputType()` A file based report to be created.
`boolean` | `isEnabled()` Whether or not this report should be generated by whatever generates it.
`void` | `setEnabled(boolean enabled)` Whether or not this report should be generated by whatever generates it.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### NAMER

    public Namer NAMER

Method Detail

### getDestination

    public File getDestination()

  The location on the filesystem of the report when it is generated. Depending on the output type of the report, this may point to a file or a directory. Subtypes may implement setters for the destination.
  Returns:
    The location on the filesystem of the report when it is generated

### getName

    public String getName()

  The symbolic name of this report. The name of the report usually indicates the format (e.g. xml, html etc.) but can be anything. When part of a ReportContainer, reports are accessed via their name. That is, given a report container variable named `reports` containing a report who's `getName()` returns `"html"`, the report could be accessed via:

       reports.html

  Returns:
    The name of this report.

### getOutputType

    public Report.OutputType getOutputType()

  A file based report to be created.

### isEnabled

    public boolean isEnabled()

  Whether or not this report should be generated by whatever generates it. If `true`, the generator of this report will generate it at the appropriate time. If `false`, the generator of this report will not generate this report.
  Returns:
    Whether or not this report should be generated by whatever generates it.

### setEnabled

    public void setEnabled(boolean enabled)

  Whether or not this report should be generated by whatever generates it.
  Parameters:
    `enabled` - Whether or not this report should be generated by whatever generates it.
  See Also:
    isEnabled()

Gradle API 1.1-rc-1